Bug Hunting Session
Bug 125340 - CRASH: closing LibreOffice while migration dialog is open ( GTK3 )
Summary: CRASH: closing LibreOffice while migration dialog is open ( GTK3 )
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.4.0 target:6.3.2
Keywords:
Depends on:
Blocks: GTK3
  Show dependency treegraph
 
Reported: 2019-05-17 13:44 UTC by Xisco Faulí
Modified: 2019-08-29 07:41 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-05-17 13:44:09 UTC
Steps to reproduce:
1. Open attachment 138551 [details] from bug 114596
2. Enter the database to Tools > Options > Base > Databases (Name: TestDB)
3. Open the *.odt-file of the folder.
4. Once the migration dialog is prompted, close LibreOffice

-> Crash

Reproduced in

Version: 6.3.0.0.alpha1+
Build ID: 4c2034b808fed4f9dfd715d8a4813e788a7e97a4
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

and

Version: 6.1.0.0.alpha1+
Build ID: 3a801799536e6870f2fb111b1cc00b9575a35a39
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

not reproduced with GEN or GTK2
Comment 1 Xisco Faulí 2019-05-17 13:45:19 UTC
@Caolán, I thought you might be interested in this issue...
Comment 2 Commit Notification 2019-08-17 14:32:36 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/d30ab819b80e67119e17d3e4243cab88c508ebae%5E%21

tdf#125340 transport preferred dialog parent down the migration dialog

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Caolán McNamara 2019-08-17 14:37:08 UTC
fixed in master, backport to 6-3 in gerrit
Comment 4 Xisco Faulí 2019-08-19 06:19:05 UTC
Verified in

Version: 6.4.0.0.alpha0+
Build ID: cbe9601e5972ec1c466311e0b148a9fbe8cda4d1
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!
Comment 5 Commit Notification 2019-08-29 07:41:36 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/a7035eb87aef491b52fae83675dd4d1a9877de4a%5E%21

tdf#125340 transport preferred dialog parent down the migration dialog

It will be available in 6.3.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.